APTITUDE(8)

NIMI
aptitude - kehittynyt käyttöliittymä pakettienhallintaan

KOMENTORIVI

aptitude [<valitsimet>...] {autoclean | clean | forget-new | keep-all | update | upgrade}

aptitude [<valitsimet>...] {changelog | dist-upgrade | download | forbid-version | hold | keep-all | markauto | purge | reinstall | remove | show | unmarkauto} paketit...

aptitude [<valitsimet>...] search hakuehdot...

aptitude [-S <tnimi>] [-u | -i]

aptitude help

KUVAUS

aptitude on tekstipohjainen käyttöliittymä Debian GNU/Linux -järjestelmän pakettienhallintaan.

Se näyttää käyttäjälle pakettiluettelon ja mahdollistaa pakettienhallinnan, johon sisältyy mm. pakettien asennus, päivitys ja poistaminen. Näitä toimintoja on mahdollista käyttää sekä vuorovaikutteisesti että komentoriviltä

KOMENTORIVITOIMINNOT

Ensimmäinen viivalla (”-”) alkamaton komentoriviparametri tulkitaan toiminnoksi, joka ohjelman halutaan suorittavan. Jos komentorivillä ei ole annettu toimintoa, aptitude käynnistyy vuorovaikutteiseen tilaan.

Käytettävissä olevat toiminnot ovat

install
    Asenna yksi tai useampia paketteja. Pakettien nimet annetaan listana ”install”-komennon perässä; jos paketin nimessä on aaltoviiva ”~”, se tulkitaan hakuehdoksi, ja jokainen hakuehtoa vastaava paketti asennetaan (katso lukua ”Hakuehdot” aptituden käyttöoppaassa).

    Halutun version paketista voi valita lisäämällä nimeen ”=<versio>”, esimerkiksi ”aptitude install apt=0.3.1”. Samoin paketin voi valita halutusta arkistosta lisäämällä ”/<arkisto>”, esimerkiksi ”aptitude install apt/experimental”.

    Kaikkia komentorivillä annettuja paketteja ei välttämättä asenneta; voit saada aptituden tekemään jotain muuta paketille lisäämällä ”toimintomerkin” paketin nimeen. Esimerkiksi aptitude remove wesnoth+ asentaa wesnoth-paketin, ei poista sitä. Käytettävissä olevat toimintomerkit ovat:

    <paketti>+
        Asenna <paketti>.

    <paketti>+M
        Asenna <paketti> ja merkitse se automaattisesti asennetuksi (huomaa, että jos mikään muu paketti ei riipu <paketti>:sta, se poistetaan saman tien).

    <paketti>-
        Poista <paketti>.

    <paketti>_
        Siivoa <paketti>: poista se asetustiedostoineen.

    <paketti>=
        Jäädytä <paketti>: peruuta sille määritetty asennus, päivitys tai poisto, ja estä paketin automaattinen päivitys myöhemmin.

    <paketti>:
        Säilytä <paketti> nykyisessä versiossaan: peruuta sille määritetty asennus, päivitys tai poisto. Toisin kuin jäädytys (yllä), paketin myöhempää automaattista päivitystä ei estetä.

    <paketti>&M
        Merkitse <paketti> automaattisesti asennetuksi.

    <paketti>&m
        Merkitse <paketti> käsin asennetuksi.

    Jos ”install”-komennolle ei anneta yhtään argumenttia, suoritetaan kaikki aiemmin tehtäviksi merkityt toimenpiteet.

    Huomaa Kun olet myöntynyt viimeiseen vahvistuspyyntöön, ”Install”-komento muokkaa aptituden suoritettavien toimintojen tietovarastoa. Jos siis annat komennon ”aptitude install foo bar” ja keskeytät asennuksen, sinun on ajettava vielä esim. ”aptitude remove foo bar” peruuttaaksesi asennuskäskyn.

remove, purge, hold, keep, reinstall
    Nämä komennot toimivat kuten ”install”, mutta oletustoiminto on vastaavasti poisto, siivous, jäädytys, säilytys tai uudelleenasennus. Toimintomerkkien käyttö toimii myös samoin. Ero jäädytyksen ja säilytyksen välillä on, että jäädytys estää myös tulevat päivitykset, mutta säilytys vain peruuttaa nyt määritellyt toimenpiteet.

    Esimerkiksi ”aptitude remove '~ndeity'” poistaa kaikki paketit, joiden nimessä on merkkijono ”deity”.

markauto, unmarkauto
    Merkitse paketit asennetuiksi automaattisesti tai käsin. Pakettien määritys tapahtuu kuten ”install”-komennossa yllä. Esimerkiksi ”aptitude markauto '~slibs'” merkitsee kaikki ryhmän ”libs” paketit automaattisesti asennetuiksi.

    Lisää tietoa automaattisesti asennetuista paketeista on aptituden käyttöoppaan luvussa ”Automaattisesti asennettujen pakettien hallinta”.

forbid-version
    Estä paketin päivitys tiettyyn versioon. Tämä estää aptitudea päivittämästä pakettia annettuun versioon, mutta sallii päivitykset myöhempiin versioihin. Oletuksena aptitude valitsee version, johon paketti muuten päivitettäisiin, mutta tämän valinnan voi ohittaa lisäämällä ”=<versio>” paketin nimeen, esimerkiksi ”aptitude forbid-version vim=1.2.3.broken-4”.

    Tästä komennosta on hyötyä haluttaessa välttää rikkinäisiä versioita paketeista tarvitsematta asettaa ja poistaa jäädytyksiä käsin. Jos sittenkin haluat asentaa estetyn version, ”install”-komento poistaa eston.

update
    Päivitä saatavilla olevien pakettien luettelo palvelimilta (tämä on sama kuin ”apt-get update”).

upgrade
    Päivitä asennetut paketit tuoreimpiin saatavilla oleviin versioihinsa. Asennettuja paketteja poistetaan vain jos ne ovat käyttämättömiä (katso aptituden käyttöoppaan lukua ”Automaattisesti asennettujen pakettien hallinta”); uusia paketteja ei asenneta.

    Paketti säilytetään nykyisessä versiossaan, jos sitä ei ole mahdollista päivittää nämä rajoitukset huomioiden. Komennolla dist-upgrade saat päivitettyä myös tällaiset paketit.

dist-upgrade
    Päivitä asennetut paketit tuoreimpaan saatavilla olevaan versioon asentaen ja poistaen paketteja, jos on tarpeen. Tämä komento tekee enemmän kuin upgrade ja saattaa siis tehdä jotain epämieluisaakin. Käyttäjiä suositellaan tarkistamaan tämän komennon ehdottamat toimenpiteet huolellisesti tai käyttämään turvallisempaa upgrade-komentoa.

keep-all
    Peruuta kaikki paketeille määritetyt toimenpiteet. Kaikki määritetyt asennukset, poistot ja päivitykset peruutetaan.

forget-new
    Unohda mitkä paketit ovat ”uusia” (sama kuin ”f”:n painaminen vuorovaikutteisessa tilassa).

search
    Etsi paketteja hakuehdoilla. Hakuehdot annetaan ”search”-komennon jälkeen komentorivillä. Kaikki hakuehtoihin täsmäävät paketit näytetään, esimerkiksi ”aptitude search '~N'” näyttää kaikki ”uudet” paketit. Hakulausekkeet on selitetty aptituden käyttöoppaan luvussa ”Hakuehdot”.

    Jos et anna -F-valitsinta, aptitude search tulostaa paketit tämänkaltaisesti:

        i   apt                             - Advanced front-end for dpkg
        pi  apt-build                       - frontend to apt to build, optimize and in
        cp  apt-file                        - APT package searching utility -- command-
        ihA raptor-utils                    - Raptor RDF Parser utilities
    Kukin hakutulos on omalla rivillään. Ensimmäinen merkki kertoo paketin nykyisen tilan; yleisimmät tässä ovat p, paketista ei ole jälkeäkään järjestelmässä, c, paketti on poistettu, mutta sen asetustiedostot ovat vielä olemassa, i, paketti on asennettu, ja v, paketti on näennäinen. Toinen merkki kertoo paketille suoritettavan toiminnon, jos sellainen on määritetty. Yleisimmät vaihtoehdot tässä ovat i, paketti asennetaan, d, paketti poistetaan, ja p, paketti poistetaan asetustiedostoineen. Jos kolmas merkki näytössä on A, paketti on automaattisesti asennettu.

    aptituden käyttöoppaan luku ”Pakettien tietojen näyttäminen” sisältää täydellisen luettelon mahdollisista tila- ja toimintomerkeistä.

show
    Näytä yksityiskohtaiset tiedot yhdestä tai useammasta paketista. Pakettien nimet annetaan ”show”-komennon jälkeen komentorivillä. Jos annettu nimi sisältää ”~”-merkin, se käsitetään hakuehdoksi, ja kaikki siihen täsmäävät paketit näytetään (lisätietoa aptituden käyttöoppaan luvussa ”Hakuehdot”).

    Jos ylimääräisiä tietoja annetaan vähintään tasolla 1 (komentorivillä on annettu ainakin yksi -v-valitsin), tiedot näytetään paketin kaikista versioista. Muussa tapauksessa tiedot näytetään ”saatavilla olevasta versiosta” (versiosta, jonka ”aptitude install” noutaisi).

    Voit näyttää jonkin muun version tiedot lisäämällä =<versio> paketin nimeen. Voit näyttää tietystä arkistosta saatavilla olevan version tiedot lisäämällä /<arkisto> paketin nimeen. Jos käytät kumpaa tahansa näistä, vain valitun version tiedot näytetään riippumatta lisätietojen näyttötasosta.

    Jos lisätietojen näyttötaso on vähintään 1, näytetään myös paketin arkkitehtuuri, pakattu koko, tiedostonimi ja MD5-summa. Jos näyttötaso on vähintään 2, valitut versiot näytetään kustakin arkistosta, josta ne löytyvät.

clean
    Poista kaikki varastoidut pakettitiedostot (yleensä hakemistosta /var/cache/apt/archives).

autoclean
    Poista kaikki varastoidut pakettitiedostot, jotka eivät enää ole saatavilla palvelimilta. Tämä sallii varaston pitkäaikaisen käytön ilman, että sen koko kasvaisi rajoituksetta.

changelog
    Nouda ja näytä kunkin annetun paketin tai lähdekoodipaketin Debian-muutosloki.

    Näytettävä muutosloki otetaan oletuksena versiosta, jonka komento ”aptitude install” asentaisi. Voit valita muun version lisäämällä =<versio> paketin nimeen. Voit myös valita arkiston lisäämällä /<arkisto> paketin nimeen.

download
    Nouda paketin tuoreimman version pakettitiedosto työhakemistoon.

    Noudetun paketin versio on oletuksena se, jonka komento ”aptitude install” asentaisi. Voit valita muun version lisäämällä =<versio> paketin nimeen. Voit myös valita arkiston lisäämällä /<arkisto> paketin nimeen.

help
    Näytä lyhyt yhteenveto käytettävissä olevista komennoista ja valitsimista.

VALITSIMET

Seuraavia valitsimia voi käyttää muokkaamaan yllä kuvailtujen komentojen toimintaa. Vaikka kaikki komennot eivät huomioi kaikkia valitsimia, soveltumattomat valitsimet vain sivuutetaan, ja komento suoritetaan.

-D, --show-deps
    Näytä asennus- ja poistokomentojen yhteydessä myös lyhyet yhteenvedot pakettien automaattisen asennuksen tai poiston syistä.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Show-Deps.

-d, --download-only
    Älä asenna tai poista paketteja, ainoastaan nouda ne pakettivarastoon. Pakettivarasto on oletuksena hakemistossa /var/cache/apt/archives.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Download-Only.

-F <muotoilu>, --display-format <muotoilu>
    Määritä komennon search tulosteessa käytettävä muotoilu. Esimerkiksi <muotoilu>-argumentin arvo ”%p %V %v” näyttää paketin nimen, sen asennetun version ja saatavilla olevan version. Käyttöoppaan luvussa ”Pakettien näytön asetukset” on selitetty <muotoilu>n mahdolliset arvot.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Package-Display-Format.

-f
    Yritä korjata rikkinäisten pakettien riippuvuuksia enemmän, jopa niin, että kaikkia komentoriviltä annettuja toimintoja ei välttämättä suoriteta.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Fix-Broken.

-h, --help
    Näytä lyhyt avustusteksti. Tämä on sama kuin help-komento.

-P, --prompt
    Näytä aina kehote, vaikka pyydetyt toiminnot olisivatkin ainot, jotka suoritetaan.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Always-Prompt.

-R, --without-recommends
    Älä käsittele suosituksia riippuvuuksina uusia paketteja asennettaessa (tämä ohittaa asetustiedostoissa /etc/apt/apt.conf ja ~/.aptitude/config määritellyt asetukset).

    Tätä vastaa asetustiedoston asetus Aptitude::Recommends-Important

-r, --with-recommends
    Käsittele suosituksia riippuvuuksina uusia paketteja asennettaessa (tämä ohittaa asetustiedostoissa /etc/apt/apt.conf ja ~/.aptitude/config määritellyt asetukset).

    Tätä vastaa asetustiedoston asetus Aptitude::Recommends-Important

-s, --simulate
    Komentoriviltä suoritettaessa tulosta suoritettavat toiminnot ruudulle, mutta älä suorita niitä. Tätä voi käyttää ilman root-oikeuksia. Kokoruudun tilassa avaa varasto vain luettavaksi riippumatta siitä oletko root.

    Tätä vastaa asetustiedoston asetus Aptitude::Simulate.

--schedule-only
    Jos käytetty komento muokkaa pakettien tiloja, merkitse komento suoritettavaksi, mutta älä vielä suorita sitä. Tällaiset siirretyt toiminnot voit suorittaa myöhemmin komennolla aptitude install (ilman muita argumentteja). Tämä vastaa sitä, että kokoruudun tilassa merkitsisi samat toimenpiteet ja poistuisi.

    Esimerkiksi aptitude --schedule-only install evolution merkitsee evolution-paketin asennettavaksi myöhemmin.

-t <julkaisu>, --target-release <julkaisu>
    Aseta julkaisu, josta paketit asennetaan. Esimerkiksi ”aptitude -t experimental ...” valitsee asennettavat paketit experimental-julkaisusta, ellei yksittäiselle paketille ole määritetty muuta (esimerkiksi tietyn version asennus). Komentorivikomennoille ”changelog”, ”download” ja ”show” tämä on sama kuin lisäisi /<julkaisu> jokaisen paketin nimen perään; muilla komennoilla tämä vaikuttaa oletuksena saatavilla olevaan versioon kuten apt_preferences(5) kuvaa.

    Tätä vastaa asetustiedoston asetus APT::Default-Release.

-O <järjestys>, --sort <järjestys>
    Määritä järjestys, jossa komennon search tuloste näytetään. Esimerkiksi ”installsize” järjestää paketit nousevaan järjestykseen paketin asennetun koon mukaan. Käyttöoppaan luvussa ”Pakettien järjestyksen asetukset” on kerrottu mahdolliset järjestykset.

-o <avain>=<arvo>
    Määritä asetus suoraan, esimerkiksi -o Aptitude::Log=/tmp/loki tulostaa lokin aptituden toiminnasta tiedostoon /tmp/loki. Asetukset on selitetty aptituden käyttöoppaan luvussa ”Asetustiedosto”

-q[=<n>], --quiet[=<n>]
    Älä näytä tietoja edistymisestä, mikä tekee tulostuksesta lokitettavaa. Tämän valitsimen voi antaa useita kertoja, mikä tekee tulostuksesta vielä vähäisempää, mutta toisin kuin apt-get, aptitude ei oleta -y-valitsinta kun -q on annettu useammin kuin kerran.

    Valinnainen =<n> asettaa suoraan hiljaisuustason (esimerkiksi ohittamaan tiedostossa /etc/apt/apt.conf olevan asetuksen). Tämä saa ohjelman käyttäytymään ikäänkuin -q olisi annettu täsmälleen <n> kertaa.

-V, --show-versions
    Näytä, mitkä versiot paketeista asennetaan.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Show-Versions.

-v, --verbose
    Tulosta enemmän tietoja joidenkin komentojen (esim. show) toiminnasta. Tämän valitsimen voi antaa monta kertaa; mitä useampia kertoja, sitä enemmän tietoja tulostetaan.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Verbose.

--version
    Näytä aptituden versionumero ja hieman tietoa käännösympäristöstä.

--visual-preview
    Asennettaessa tai poistettaessa paketteja älä näytä tavallista komentorivikehotetta, vaan käynnistä koko ruudun liittymän esikatseluruutu.

-w <leveys>, --width <leveys>
    Määritä näytön leveys komennon search tulostetta varten. Oletusarvona käytetään päätteen leveyttä.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Package-Display-Width

-y, --assume-yes
    Vastaa kaikkiin kyllä/ei-kysymyksiin kyllä. Erityisesti paketteja asennettaessa, päivitettäessa tai poistettaessa ei tulosteta kehotetta. Tämä ei vaikuta ”vaarallisten” toimintojen kehotteisiin, esimerkiksi haluttaessa poistaa välttämätön paketti. Tämä ohittaa valitsimen -P.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Assume-Yes.

-Z
    Näytä kuinka paljon kukin asennettava, päivitettävä tai poistettava paketti vaatii tai vapauttaa tilaa levyltä.

    Tätä vastaa asetustiedoston asetus Aptitude::CmdLine::Show-Size-Changes.

Seuraavat valitsimet vaikuttavat koko ruudun käyttöliittymään, ja ne on tarkoitettu lähinnä sisäiseen käyttöön. Yleensä niitä ei tarvitse käyttää.

-S <tnimi>
    Lataa laajennetut tilatiedot tiedostosta <tnimi>.

-u
    Aloita pakettiluettelon päivitys heti käynnistyksen jälkeen. Tätä valitsinta ei voi käyttää yhdessä valitsimen -i kanssa.

-i
    Näytä esikatseluruutu heti käynnistyksen jälkeen (sama kuin käynnistäisi ohjelman ja painaisi ”g”). Tätä valitsinta ei voi käyttää yhdessä valitsimen ”-u” kanssa.

ENVIRONMENT

HOME
    Jos $HOME/.aptitude on olemassa, aptitude tallettaa asetuksensa tiedostoon $HOME/.aptitude/config. Muuten se hakee käyttäjän kotihakemiston getpwuid(2)-kutsulla ja tallettaa asetustiedostonsa sinne.

PAGER
    Jos tämä ympäristömuuttuja on asetettu, ”aptitude changelog”-komento käyttää sitä muutoslokien näyttöön. Jos sitä ei ole asetettu, aptitude käyttää oletuksena ohjelmaa more.

TMP
    Jos ympäristömuuttujaa TMPDIR ei ole asetettu, aptitude tallettaa tilapäistiedostonsa hakemistoon TMP, jos se on asetettu. Muuten nämä talletetaan hakemistoon /tmp.

TMPDIR
    aptitude tallettaa tilapäistiedostonsa tämän ympäristömuuttujan nimeämään hakemistoon. Jos TMPDIR ei ole asetettu, aptitude käyttää TMP:ä. Jos myös TMP on asettamaton, aptitude käyttää hakemistoa /tmp.

KATSO MYÖS

apt-get(8), apt(8), /usr/share/doc/aptitude/html/fi/index.html

TEKIJÄS

Daniel Burrows <dburrows@debian.org>

    Author.

Daniel Burrows <dburrows@debian.org>

    Author.

Jaakko Kangasharju <ashar@iki.fi>

    Suomennos

COPYRIGHT

This manual page is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This manual page is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this manual page; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA